> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve connector metadata

> Retrieve the metadata stored for a linked connector.



## OpenAPI

````yaml get /{env_id}/{flow}/{user_id}/connectors/{connector_id}/metadata
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow}/{user_id}/connectors/{connector_id}/metadata:
    get:
      summary: Retrieve connector metadata
      description: Retrieve the metadata stored for a linked connector.
      operationId: retrieve-connector-metadata
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: user_id
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
        - name: connector_id
          in: path
          description: ID of connector
          schema:
            type: string
          required: true
        - name: connector_type
          in: query
          description: 'Connector catalog: connectors, sources, targets, or taps'
          schema:
            type: string
            enum:
              - connectors
              - sources
              - targets
              - taps
      responses:
        '200':
          description: Connector metadata
        '404':
          description: Metadata not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.